<template>
	<view class="bg-white bottom-part bg-white">
		<view class=" text-center text-sm">
			<view class="padding-xxs">
				全国统一客服/投诉热线：
				<text class="oil-main-color" :href="'tel:4008-56-5355'">4008-56-5355</text>
			</view>
			<view class="padding-xs">
				<checkbox @tap="onChange" class='round red chagesize' :class="checked?'checked':''"
					:checked="checked?true:false" value="C"></checkbox> 我已阅读并同意
				<text @tap="toAgree" class="oil-main-color">《星卡互联平台注册服务协议》</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		name: 'loginBottom',
		data() {
			return {
				count: 0
			}
		},
		methods: {
			onChange() {
				this.count++
				this.$emit('onCheck', this.count % 2 != 0)
			},
			toAgree() {
				uni.navigateTo({
					url:'/BagAuth/pages/agreeMent/agreeMent'
				})
			}
		},
	}
</script>

<style>
	.bottom-part {
		width: 750upx;
		position: absolute;
		bottom: 60rpx;
	}

	.chagesize {
		transform: scale(0.6, 0.6);
	}
</style>
